cURL
curl --request PATCH \
--url https://api.eda.prisme.ai/v2/orgs/{orgSlug}/service-accounts/{saSlug} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"roleSlug": "<string>",
"scopes": [
"<string>"
],
"disabled": true
}
'import requests
url = "https://api.eda.prisme.ai/v2/orgs/{orgSlug}/service-accounts/{saSlug}"
payload = {
"name": "<string>",
"description": "<string>",
"roleSlug": "<string>",
"scopes": ["<string>"],
"disabled": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
roleSlug: '<string>',
scopes: ['<string>'],
disabled: true
})
};
fetch('https://api.eda.prisme.ai/v2/orgs/{orgSlug}/service-accounts/{saSlug}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"userId": "<string>",
"orgSlug": "<string>",
"slug": "<string>",
"name": "<string>",
"description": "<string>",
"roleSlug": "<string>",
"scopes": [
"<string>"
],
"disabled": true,
"lastUsedAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"updatedBy": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
}{
"error": "AuthenticationError",
"message": "Unauthenticated"
}{
"error": "ForbiddenError",
"message": "Forbidden"
}{
"error": "ObjectNotFound",
"message": "<string>"
}Organizations
Patch v2orgs service accounts
Update a service account (name, description, roleSlug, scopes, disabled)
PATCH
/
v2
/
orgs
/
{orgSlug}
/
service-accounts
/
{saSlug}
cURL
Authorizations
BearerAuthWorkspaceApiKeyAuthBearerAuth & WorkspaceApiKeyAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
Success
Synthetic user ID used in JWT sub (sa:{orgSlug}:{slug})
Organization role assigned to this service account
Optional scope restrictions (empty means all permissions from roleSlug)
Was this page helpful?
⌘I